<?php

require_once '##healthchecks-autoload-path##';

$isCliMode = php_sapi_name() === 'cli';

try
{
    $helper = new DeubertIt\Healthchecks\Requirements('##composer-filename##');
    $helper->checkPhpRequirements();
    $helper->checkExtensionsRequirements();

    if (!$isCliMode)
    {
        http_response_code(200);
    }

    echo "OK\n";
}
catch (Exception $e)
{
    if (!$isCliMode)
    {
        http_response_code(503);
        echo "ERROR\n";
    }
    else
    {
        echo $e->getMessage(), "\n";
    }
}
